:root {
    --bs-primary: #343339;
    --bs-primary-rgb: 52, 51, 57;
}

.box-sizing-border {
    box-sizing: border-box;
}

body {
    font-size: 1rem;
    background-color: #fff;
}

.bg-body-secondary {
    background-color: #e9ecef;
}

@media (max-width: 768px) {
    .mt-max-sm-3 {
        margin-top: 1rem !important;
    }
}

@media (min-width: 576px) {
    body {
        font-size: 0.875rem;
    }
}

@media (min-width: 768px) {
    body {
        font-size: 0.9rem;
    }
}

@media (min-width: 992px) {
    body {
        font-size: 0.9rem;
    }
}

@media (min-width: 1200px) {
    body {
        font-size: 0.95rem;
    }
}

@media (min-width: 992px) {
    .container-sm {
        width: 900px;
    }
}

@media (min-width: 1200px) {
    .container-sm {
        width: 900px;
    }
}

a {
    color: #444;
    text-decoration: none;
}

a:hover {
    color: #0d6efd;
    text-decoration: underline;
}

.song-title {
    word-break: break-all;
    color: #444;
}

.song-title:hover {
    color: #0d6efd;
}

.link-blue {
    color: #0d6efd;
}

.fs-11 {
    font-size: 1.25rem !important;
}

.fs-10 {
    font-size: 1rem !important;
}

.fs-7 {
    font-size: 0.8rem !important;
}

.fs-8 {
    font-size: 0.7rem !important;
}

.btn-primary {
    color: #fff;
    background-color: #7c3800;
    border-color: #7c3800;
}

.btn-primary:hover {
    color: #fff;
    background-color: #8f5424;
    border-color: #8f5424;
}

.header-search {
    width: 100%;
    background-color: #f7edef;
    border-radius: 6px;
    padding-left: 1rem;
    height: 2.6rem;
    box-sizing: border-box;
}

.header-search .ipt {
    font-size: 1rem;
    height: 2.6rem;
    background: #f7edef;
    color: #333;
    border: 0;
    outline: none 0;
    -webkit-appearance: none;
    -webkit-rtl-ordering: logical;
    -webkit-writing-mode: horizontal-tb !important;
}

.header-search .icon-search {
    border: 0;
    font-size: 1.6rem;
    padding: 0 10px;
    background-color: transparent;
    color: #333;
}

.footer {
    width: 100%;
    box-sizing: border-box;
    border-top: 1px solid #eee;
    color: #333;
    padding: 1rem 0;
}

.footer a {
    color: #333;
}

.body-box {
    box-sizing: border-box;
    width: 100%;
    border-radius: 4px;
    border: 1px solid #eee;
}

.search-count {
    border-radius: 12px;
    padding: 2px 8px;
    color: #333;
    background-color: #ddd;
}

.search-item {
    border-bottom: 1px solid #ddd;
    padding: 8px 0;
}

.down-item {
    border-radius: 4px;
    background-color: #f7edef;
    padding: 10px 10px;
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    flex-wrap: wrap;
    color: #666;
}

.down-item a {
    color: #333;
    text-decoration: underline;
    word-break: break-all;
}

.down-item a:hover {
    color: #000;
}

.down-item .btn-primary {
    color: #fff !important;
}

.key-tag {
    border-radius: 8px;
    padding: 3px 5px 1px 6px;
    margin-right: 10px;
    margin-top: 10px;
    display: flex;
    align-items: center;
    color: #fff;
    word-wrap: break-word;
    word-break: break-all;
}

.key-tag span {
    margin-left: 4px;
    font-size: 10px;
}

.key-tag:hover {
    color: #fff;
    text-decoration: none;
}

.key-tag-bg1 {
    background-color: #007bff;
}

.key-tag-bg1:hover {
    background-color: #0062cc;
}

.key-tag-bg2 {
    color: #212529;
    background-color: #ffc107;
}

.key-tag-bg2:hover {
    color: #212529;
    background-color: #d39e00;
}

.key-tag-bg3 {
    background-color: #28a745;
}

.key-tag-bg3:hover {
    background-color: #1e7e34;
}

.key-tag-bg5 {
    background-color: #17a2b8;
}

.key-tag-bg5:hover {
    background-color: #117a8b;
}

.key-tag-bg6 {
    background-color: #dc3545;
}

.key-tag-bg6:hover {
    background-color: #bd2130;
}

.key-tag-bg7 {
    background-color: #343a40;
}

.key-tag-bg7:hover {
    background-color: #1d2124;
}

.rank-th {
    background-color: #eee;
    padding: 4px 10px;
    color: #333;
    margin-top: 10px;
}

.rank-td {
    border-bottom: 1px solid #ddd;
    padding: 4px 10px;
    margin-top: 5px;
}

.rank-td i {
    border-radius: 50%;
    width: 18px;
    height: 18px;
    text-align: center;
    line-height: 18px;
    font-size: 10px;
    display: inline-block;
    color: #333;
    background-color: #f7edef;
}

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.xc_wsee_clear {clear:both;}.xc_wsee_clear:after {clear: both;display: table;content: " ";}.xc_wsee{padding: 40px 20px;text-align: center;width: 100%;box-sizing: border-box;margin-top: -70px;cursor: pointer;background: linear-gradient(to bottom,rgba(255,255,255,0),#fff 30%);position: relative;user-select: none;}.xc_wsee_span{font-size: 14px;background-color: #009f6b;color: #fff;padding: 6px 20px;border-radius: 10px;display: inline-block;box-sizing: border-box;}.xc_wsee_load{position: fixed;left: 0;top: 0;width: 100vw;height: 100vh;text-align: center;background-color: rgb(0 0 0 / 45%);z-index: 999999;}.xc_wsee_load svg path, .xc_wsee_load svg rect{fill: #17a085;}.xc_wsee_load .xc_wsee_load_svg{position: absolute;width: 320px;height: 500px;top: calc(50% - 250px);left: calc(50% - 160px);text-align: center;}.xc_wsee_load .xc_wsee_load_svg svg{width: 60px;height: 60px;position: absolute;top: calc(50% - 30px);left: calc(50% - 30px);}.xc_wsee_load .xc_wsee_load_svg span{height: 30px;line-height: 30px;position: absolute;top: calc(50% + 30px);left: calc(50% - 30px);font-size: 14px;user-select: none;color: #f5f5f5;}.xc_wsee_load .xc_wsee_alert{width: 100%;max-width: 300px;position: absolute;left: 50%;top: 50%;transform: translate(-50%, -50%);background-color: #fff;padding: 20px 10px;border-radius: 5px;}.xc_wsee_load .xc_wsee_alert .xc_wsee_atip{font-size: 12px;height: 30px;line-height: 30px;text-align: center;box-sizing: border-box;padding-top: 2.5px;}.xc_wsee_load .xc_wsee_alert .xc_wsee_atip>div{display: inline-block;user-select: none;}.xc_wsee_load .xc_wsee_alert .xc_wsee_atip img{width: 25px;height: 25px;float: left;display: inline-block;}.xc_wsee_load .xc_wsee_alert .xc_wsee_atip span{font-size: 16px;margin-left: 10px;float: left;height: 25px;line-height: 25px;}.xc_wsee_load .xc_wsee_alert .xc_wsee_atip span i{color: red;margin: 0 0 0 5px;}.xc_wsee_load .xc_wsee_alert .xc_wsee_aimg{padding: 20px;}.xc_wsee_load .xc_wsee_alert .xc_wsee_aimg img{width: 140px;height: 140px;padding: 8px;background-color: #f5f5f5;border-radius: 5px;}.xc_wsee_load .xc_wsee_keys{font-size: 14px;color: green;user-select: none;}.xc_wsee_load .xc_wsee_keys i{color: red;margin: 0 3px;}.xc_wsee_load .xc_wsee_alert .xc_wsee_apst{padding: 10px 25px;text-align: center;}.xc_wsee_load .xc_wsee_alert .xc_wsee_apst input{width: 100%;max-width: 130px;height: 28px;line-height: 28px;box-sizing: border-box;border: 1px solid #ccc;float: left;outline: none;margin: 0 10px;display: inline-block;font-size: 12px;padding-left: 5px;}.xc_wsee_load .xc_wsee_alert .xc_wsee_apst input::-webkit-input-placeholder{color:#aaa;opacity: 1;}.xc_wsee_load .xc_wsee_alert .xc_wsee_apst input::-moz-placeholder{color:#aaa;opacity: 1;}.xc_wsee_load .xc_wsee_alert .xc_wsee_apst input:-moz-placeholder{color:#aaa;opacity: 1;}.xc_wsee_load .xc_wsee_alert .xc_wsee_apst input:-ms-input-placeholder{color:#aaa;opacity: 1;}.xc_wsee_load .xc_wsee_alert .xc_wsee_apst button{padding: 0px 20px;height: 28px;line-height: 28px;font-size: 14px;outline: none;border: none;color: rgb(255, 255, 255);background: rgb(222, 104, 109);cursor: pointer;box-sizing: border-box;float: left;display: inline-block;}.xc_wsee_load .xc_wsee_alert .xc_wsee_close{position: absolute;text-align: center;left: calc(50% - 15px);bottom: -10px;background-color: #fff;border-radius: 50%;padding: 2px;cursor: pointer;}.xc_wsee_load .xc_wsee_alert .xc_wsee_close img{width: 20px;height: 20px;display: block;}.xc_wsee_jstip{z-index: 9999999;padding: 8px 10px;top: 50%;left: 50%;color: rgb(255, 255, 255);background-color: rgb(102 102 102 / 93%);position: fixed;border-radius: 2px;box-sizing: border-box;transform: translate(-50%, -50%);font-size: 12px;}.xc_wsee_jstip span{font-size: 14px;font-family: cursive;}/************************************************/.xc_wsee_hidecontent{padding:10px;border: 1px dashed #499ffb;border-radius: 5px;background-color: #F5F7FB;cursor: pointer;}.xc_wsee_hidecontent_is{padding: 35px 10px;text-align: center;font-size: 14px;color: #499ffb;}